CLOCK(8)

NAZWA
clock - obsłuż zegar CMOS

SKŁADNIA
/sbin/clock [ -u ] -r
/sbin/clock [ -u ] -w
/sbin/clock [ -u ] -s
/sbin/clock [ -u ] -a

OPIS
clock obsługuje na różne sposoby zegar CMOS, umożliwiając jego odczyt lub zapis oraz synchronizację między zegarem CMOS i jądrem.

OPTIONS

-u  Wskazuje, że zegar CMOS jest ustawiony na Czas Uniwersalny (Universal Time).

-r  Odczytaj zawartość zegara CMOS i wydrukuj na stdout.

-w  Zapisz czas systemowy do zegara CMOS.

-s  Ustaw czas systemowy z zegara CMOS.

-a  Ustaw czas systemowy z zegara CMOS, poprawiając czas dla błędu systematycznego na prawidłowy i zapisując go z powrotem do CMOS.

    Opcja ta używa /etc/adjtime do określenia zmian zegara. Zawiera to trzy liczby:
    Pierwsza liczba jest poprawką w sekundach na dzień (np. jeśli twój zegar przyspiesza codziennie o 5 sekund, pierwsza liczba powinna być -5.0).

    Następna liczba mówi, kiedy clock był ostatnio użyty, licząc w sekundach od 1/1/1970.

    Trzecia liczba to liczba sekund, która pozostała po ostatniej poprawce.

    Następujące instrukcje są z kodu źródłowego:

    a)  utwórz plik /etc/adjtime zawierający w pierwszej i jedynej linii: '0.0 0 0.0'

    b)  uruchom clock -au lub clock -a, zależnie od tego, czy twój CMOS jest w czasie uniwersalnym, czy lokalnym. Poprawia to liczbę sekund.

    c)  ustaw czas systemowy przy użyciu komendy date.

    d)  odśwież swój czas CMOS przy użyciu clock -wu lub clock -w

    e)  Zamień pierwszą liczbę z /etc/adjtime swoją poprawką.

    f)  wstaw komendę clock -au lub clock -a do swojego /etc/rc.local, lub nakaż jej uruchamianie programowi cron(8).

PLIKI
/etc/adjtime
/etc/rc.local

AUTORZY

V1.0
    Charles Hedrick, hedrick@cs.rutgers.edu, kwiecień 1992

V1.1
    Zmodyfikowane dla poprawek zegara, Rob Hooft, hooft@chem.ruu.nl, listopad 1992

V1.2
    Łaty Haralda Koeniga, koenig@nova.tat.physik.uni-tuebingen.de, dodane przez Roba Hoofta, hooft@EMBL-Heidelberg.DE, wrzesień 1993